package com.fr.plugin.third.party.jsdibgd;


import com.fanruan.api.design.ui.component.UIComboBox;
import com.fr.design.i18n.Toolkit;

import java.util.List;

public class UIComboBoxWithNone extends UIComboBox {
    protected String getDefaultLocaleString() {
        return Toolkit.i18nText("Fine-Design_Chart_Use_None");
    }

    public UIComboBoxWithNone() {
        this.addDefaultItem();
    }

    public void refreshBoxItems(List var1) {
        super.refreshBoxItems(var1);
        this.addDefaultItem();
    }

    public void clearBoxItems() {
        super.clearBoxItems();
        this.addDefaultItem();
    }

    private void addDefaultItem() {
        this.addItem(this.getDefaultLocaleString());
    }

    public void setSelectedItem(Object var1) {
        super.setSelectedItem(var1);
        if (this.getSelectedIndex() == -1) {
            super.setSelectedItem(this.getDefaultLocaleString());
        }

    }
}