package com.fr.plugin.third.party.jsdibgd.data;

import com.fanruan.api.report.chart.field.BaseColumnFieldCollection;
import com.fr.chartx.data.field.ColumnField;


public class DataColumnFieldCollection extends BaseColumnFieldCollection {

    public static String[] FIELD_LABELS = new String[]{
            "省份",
            "部门",
            "产值",
            "利润",
            "现金流",
            "新签合同",
            "经度",
            "纬度",
    };


    /**
     * 省份
     */
    private ColumnField areaName = new ColumnField();

    /**
     * 部门名称
     */

    private ColumnField deptName = new ColumnField();

    /**
     * 产值
     */
    private ColumnField outputValue = new ColumnField();

    /**
     * 利润
     */
    private ColumnField profit = new ColumnField();

    /**
     * 现金流
     */
    private ColumnField cashFlow = new ColumnField();

    /**
     * 新签合同
     */
    private ColumnField newContract = new ColumnField();


    /**
     * 经度
     */
    private ColumnField longitude = new ColumnField();

    /**
     * 纬度
     */
    private ColumnField latitude = new ColumnField();


    public ColumnField getAreaName() {
        return areaName;
    }

    public void setAreaName(ColumnField areaName) {
        this.areaName = areaName;
    }


    public ColumnField getLongitude() {
        return longitude;
    }

    public void setLongitude(ColumnField longitude) {
        this.longitude = longitude;
    }

    public ColumnField getLatitude() {
        return latitude;
    }

    public void setLatitude(ColumnField latitude) {
        this.latitude = latitude;
    }


    public ColumnField getDeptName() {
        return deptName;
    }

    public void setDeptName(ColumnField deptName) {
        this.deptName = deptName;
    }

    public ColumnField getOutputValue() {
        return outputValue;
    }

    public void setOutputValue(ColumnField outputValue) {
        this.outputValue = outputValue;
    }

    public ColumnField getProfit() {
        return profit;
    }

    public void setProfit(ColumnField profit) {
        this.profit = profit;
    }

    public ColumnField getCashFlow() {
        return cashFlow;
    }

    public void setCashFlow(ColumnField cashFlow) {
        this.cashFlow = cashFlow;
    }

    public ColumnField getNewContract() {
        return newContract;
    }

    public void setNewContract(ColumnField newContract) {
        this.newContract = newContract;
    }
}