package com.fr.plugin.third.party.jsdibgd.data;

import com.fanruan.api.design.chart.field.BaseDataSetFieldsPane;
import com.fanruan.api.design.ui.component.UIComboBox;
import com.fr.plugin.third.party.jsdibgd.UIComboBoxWithNone;

import java.awt.*;


public class DataSetFieldsPane extends BaseDataSetFieldsPane<DataColumnFieldCollection> {


    private UIComboBoxWithNone areaPane;
    private UIComboBoxWithNone deptNamePane;
    private UIComboBoxWithNone outputValuePane;
    private UIComboBoxWithNone profitPane;
    private UIComboBoxWithNone cashFlowPane;
    private UIComboBoxWithNone newContractPane;
    private UIComboBoxWithNone longitudePane;
    private UIComboBoxWithNone latitudePane;


    public void initComponents() {
        areaPane = new UIComboBoxWithNone();
        deptNamePane = new UIComboBoxWithNone();
        outputValuePane = new UIComboBoxWithNone();
        profitPane = new UIComboBoxWithNone();
        cashFlowPane = new UIComboBoxWithNone();
        newContractPane = new UIComboBoxWithNone();
        longitudePane = new UIComboBoxWithNone();
        latitudePane = new UIComboBoxWithNone();
        super.initComponents();
    }

    @Override
    protected String[] fieldLabels() {
        return DataColumnFieldCollection.FIELD_LABELS;
    }

    @Override
    protected Component[] fieldComponents() {
        return new Component[]{
                this.areaPane,
                this.deptNamePane,
                this.outputValuePane,
                this.profitPane,
                this.cashFlowPane,
                this.newContractPane,
                this.longitudePane,
                this.latitudePane,
        };
    }

    @Override
    protected UIComboBox[] filedComboBoxes() {
        return new UIComboBox[]{
                this.areaPane,
                this.deptNamePane,
                this.outputValuePane,
                this.profitPane,
                this.cashFlowPane,
                this.newContractPane,
                this.longitudePane,
                this.latitudePane,
        };
    }

    @Override
    public void populateBean(DataColumnFieldCollection dataConf) {
        populateField(areaPane, dataConf.getAreaName());
        populateField(deptNamePane, dataConf.getDeptName());
        populateField(outputValuePane, dataConf.getOutputValue());
        populateField(profitPane, dataConf.getProfit());
        populateField(cashFlowPane, dataConf.getCashFlow());
        populateField(newContractPane, dataConf.getNewContract());
        populateField(longitudePane, dataConf.getLongitude());
        populateField(latitudePane, dataConf.getLatitude());
    }

    @Override
    public DataColumnFieldCollection updateBean() {
        DataColumnFieldCollection dataConf = new DataColumnFieldCollection();
        updateField(areaPane, dataConf.getAreaName());
        updateField(deptNamePane, dataConf.getDeptName());
        updateField(outputValuePane, dataConf.getOutputValue());
        updateField(profitPane, dataConf.getProfit());
        updateField(cashFlowPane, dataConf.getCashFlow());
        updateField(newContractPane, dataConf.getNewContract());
        updateField(longitudePane, dataConf.getLongitude());
        updateField(latitudePane, dataConf.getLatitude());
        return dataConf;
    }
}
