package com.fr.plugin.third.party.jsdibgd.ui;

import com.fr.chart.chartglyph.MapHotAreaColor;
import com.fr.design.event.UIObserver;
import com.fr.design.event.UIObserverListener;
import com.fr.design.gui.frpane.AbstractAttrNoScrollPane;
import com.fr.design.gui.frpane.AttributeChangeListener;
import com.fr.van.chart.range.component.SectionIntervalConfigPaneWithOutNum;

import javax.swing.*;

public class ColorSectionPane extends AbstractAttrNoScrollPane implements UIObserver {
    private SectionIntervalConfigPaneWithOutNum sectionIntervalConfigPaneWithOutNum;
    protected UIObserverListener uiObserverListener;

    public ColorSectionPane() {
        if (this.shouldResponseChangeListener()) {
            addAttributeChangeListener(new AttributeChangeListener() {
                @Override
                public void attributeChange() {
                    if (ColorSectionPane.this.uiObserverListener != null) {
                        ColorSectionPane.this.uiObserverListener.doChange();
                    }
                }
            });
        }
    }

    @Override
    protected JPanel createContentPane() {
        sectionIntervalConfigPaneWithOutNum = new SectionIntervalConfigPaneWithOutNum(this);
        return sectionIntervalConfigPaneWithOutNum;
    }

    public void updateBean(MapHotAreaColor mapHotAreaColor) {
        sectionIntervalConfigPaneWithOutNum.updateBean(mapHotAreaColor);

    }

    public void populateBean(MapHotAreaColor mapHotAreaColor) {
        sectionIntervalConfigPaneWithOutNum.populateBean(mapHotAreaColor);
    }

    public String title4PopupWindow() {
        return "区域颜色设置";
    }

    @Override
    public void registerChangeListener(UIObserverListener uiObserverListener) {
        this.uiObserverListener = uiObserverListener;
    }

    @Override
    public boolean shouldResponseChangeListener() {
        return true;
    }


}
