package com.fr.plugin.third.party.jsdibgd.ui;

import com.fanruan.api.design.ui.component.UILabel;
import com.fr.design.dialog.BasicPane;
import com.fr.design.layout.FRGUIPaneFactory;
import com.fr.design.style.color.NewColorSelectBox;

import java.awt.*;

public class ColorSettingPane extends BasicPane {
    //private ColorBackgroundQuickPane colorBackgroundQuickPane;
    private NewColorSelectBox colorBackgroundQuickPane;

    public ColorSettingPane() {
        this.initComponents();
    }

    protected void initComponents() {
        this.setLayout(FRGUIPaneFactory.createBorderLayout());
        colorBackgroundQuickPane = new NewColorSelectBox(100);
        this.add(new UILabel("设置颜色"), BorderLayout.NORTH);
        this.add(colorBackgroundQuickPane, BorderLayout.CENTER);
    }

    public void checkValid() throws Exception {

    }

    protected boolean isShowHelpButton() {
        return false;
    }

    protected String title4PopupWindow() {
        return "设置颜色";
    }

    public void populate(Color var1) {
        //this.colorBackgroundQuickPane.populateColor(var1);
        this.colorBackgroundQuickPane.setSelectObject(var1);
    }

    public Color update() {
        //return this.colorBackgroundQuickPane.updateColor();
        return this.colorBackgroundQuickPane.getSelectObject();
    }
}