package com.fr.plugin.third.party.jsdibgd.ui;

import com.fr.design.dialog.BasicPane;
import com.fr.plugin.third.party.jsdibgd.CustomChartConfig;

import java.util.ArrayList;
import java.util.List;

//import com.fr.design.style.FRFontPane;

public class CustomStyleContentPane extends CustomMultiTabPane<CustomChartConfig> {
    private CylinderWidthConfPane cylinderWidthConfPane = new CylinderWidthConfPane();
    //private CustomFRFontPane customFRFontPane = new CustomFRFontPane("场站字体");
    //private LinkageConfPane linkageConfPane = new LinkageConfPane();

    @Override
    protected List<BasicPane> initPaneList() {
        List<BasicPane> tempPaneList = new ArrayList<>();
        tempPaneList.add(cylinderWidthConfPane);
        //tempPaneList.add(customFRFontPane);
        //tempPaneList.add(linkageConfPane);
        return tempPaneList;
    }

    @Override
    public void populateBean(CustomChartConfig config) {
        cylinderWidthConfPane.populate(config);
        //customFRFontPane.populateBean(config.getStationNameFrFont());
        //linkageConfPane.populate(config);
    }

    @Override
    public CustomChartConfig updateBean() {
        CustomChartConfig config = new CustomChartConfig();
        updateBean(config);
        return config;
    }

    @Override
    public void updateBean(CustomChartConfig config) {
        cylinderWidthConfPane.update(config);
        //linkageConfPane.update(config);
        //config.setStationNameFrFont(customFRFontPane.updateFRFont());
    }

    @Override
    public boolean accept(Object o) {
        return true;
    }

    @Override
    public void reset() {

    }
}
