package com.fr.plugin.third.party.jsdibgd.ui;

import com.fanruan.api.design.ui.component.UILabel;
import com.fr.design.dialog.BasicPane;
import com.fr.design.gui.ispinner.UISpinner;

import java.awt.*;

public class DisplayScaleConfPane extends BasicPane {

    private UISpinner scaleSpinner;


    public DisplayScaleConfPane() {
        this.initComponents();
    }

    protected void initComponents() {
        this.setLayout(new FlowLayout(0, 0, 0));
        scaleSpinner = new UISpinner(0, 100, 1, 100);
        this.add(new UILabel("比例:"));
        this.add(scaleSpinner);
    }

    public void populate(int value) {
        if (value <= 0) {
            value = 0;
        }
        if (value >= 100) {
            value = 100;
        }
        scaleSpinner.setValue(value, true);
    }

    public int update() {
        int value = (int) scaleSpinner.getValue();
        if (value <= 0) {
            value = 0;
        }
        if (value >= 100) {
            value = 100;
        }
        return value;
    }


    @Override
    protected String title4PopupWindow() {
        return "显示比例";
    }
}
